Download it now!
Bug 64531 - [FILESAVE] After saving DOCX with Table of Contents in LO - Word shows the page numbers cropped off
Summary: [FILESAVE] After saving DOCX with Table of Contents in LO - Word shows the pa...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: All All
: medium normal
Assignee: Adam CloudOn
URL:
Whiteboard: BSA target:4.1.0 target:7.1.0
Keywords:
Depends on:
Blocks: 121456
  Show dependency treegraph
 
Reported: 2013-05-13 10:54 UTC by Adam CloudOn
Modified: 2020-11-13 11:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
DOCX containing Table of Contents with page numbers (25.70 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-05-13 10:54 UTC, Adam CloudOn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam CloudOn 2013-05-13 10:54:04 UTC
Created attachment 79240 [details]
DOCX containing Table of Contents with page numbers

Problem description: 
LO opens DOCX that contains table-of-contents, but after saving back to NEW.DOCX - the page numbers in the ToC are cropped outside of the page.

Steps to reproduce:
1. Open attached DOCX in LO
2. Save as NEW.DOCX
3. Open NEW.DOCX in Word
4. Page numbers in ToC are cropped off

Current behavior:
After opening NEW.DOCX in Word - page numbers are cropped off.

Expected behavior:
After opening NEW.DOCX in Word - page numbers should appear aligned correctly.

Operating System: Windows 8
Version: 4.0.2.2 release
Comment 1 Jorendc 2013-05-13 11:25:05 UTC
I can confirm this using Linux Mint 14 x64 with Version 4.0.3.3 (Build ID: 0eaa50a932c8f2199a615e1eb30f7ac74279539). I'll try to compile your patch and retest.

Kind regards,
Joren
Comment 2 Commit Notification 2013-05-13 15:20:30 UTC
Adam Co committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e9e1d7fc4de8fc44adf35fe302c75591b3c5bc18

fdo#64531 : Tab-stops exported to DOCX added too much indentation



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Jorendc 2013-05-14 16:54:29 UTC
Hi Adam,

Nice fix/patch over there :)! Looks good when you open the document in Word (2010) afterwards!

But there is a problem with re-opening the document using LibreOffice again, but that was already the case before your patch (so nothing related to your patch). Nice job!

If you aren't going to backport it to 4.0.x we can close this bug as RESOLVED FIXED and after that as VERIFIED FIXED (I verified it).

Kind regards,
Joren
Comment 4 Adam CloudOn 2013-05-16 06:32:53 UTC Comment hidden (obsolete)
Comment 5 Jorendc 2013-05-16 09:45:35 UTC
(In reply to comment #4)
> Hi @Jorendc,
> since I am new here - can you please explain what 'backport to 4.0.x' means ?

Sure.
As you can see in the "Whiteboard field" (one of the fields on top of this bug report) the target for this fix is version 4.1.0. With 'backport to 4.0.x' I mean you can push your fix to the libreoffice-4-0 branch as well, so your fix will be included in the next 4.0.4 version too (current is now 4.0.3).

Kind regards,
Joren
Comment 6 Adam CloudOn 2013-05-16 11:10:02 UTC
(In reply to comment #5)
you can push your fix to the libreoffice-4-0 branch as well,
> so your fix will be included in the next 4.0.4 version too (current is now
> 4.0.3).

How do I do such a push ? (you can email me instead of writing here)
Comment 7 Jorendc 2014-02-14 15:27:33 UTC
Lets mark this one as RESOLVED FIXED :-). 4.1 is our stable release right now (almost EOL ;-), so no need to backport it anymore).

Thanks Adam :-)!
Comment 8 Commit Notification 2020-11-13 11:51:38 UTC
Gokce Kuler committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fc12aeac3d5238607ba67238fe0da2d73b6da8ba

tdf#64531 add test for Word shows the page numbers cropped off

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.